Merge tag 'for-linus' of git://git.kernel.org/pub/scm/virt/kvm/kvm
[linux-stable.git] / scripts / kconfig / gconf-cfg.sh
blobfc954c0538fa567b4cecd76d9db24cbfd4386db5
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0
4 set -eu
6 cflags=$1
7 libs=$2
9 PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"
11 if [ -z "$(command -v ${HOSTPKG_CONFIG})" ]; then
12 echo >&2 "*"
13 echo >&2 "* 'make gconfig' requires '${HOSTPKG_CONFIG}'. Please install it."
14 echo >&2 "*"
15 exit 1
18 if ! ${HOSTPKG_CONFIG} --exists $PKG; then
19 echo >&2 "*"
20 echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
21 echo >&2 "* the GTK+ 2.0 development package is correctly installed."
22 echo >&2 "* You need $PKG"
23 echo >&2 "*"
24 exit 1
27 if ! ${HOSTPKG_CONFIG} --atleast-version=2.0.0 gtk+-2.0; then
28 echo >&2 "*"
29 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."
30 echo >&2 "*"
31 exit 1
34 ${HOSTPKG_CONFIG} --cflags ${PKG} > ${cflags}
35 ${HOSTPKG_CONFIG} --libs ${PKG} > ${libs}